Categories:
  - Games
License: GPL-2.0-or-later
WebSite: https://www.adventuregamestudio.co.uk/site/ags
SourceCode: https://github.com/adventuregamestudio/ags
IssueTracker: https://github.com/adventuregamestudio/ags/issues
Donate: https://www.adventuregamestudio.co.uk/site/community/donate

AutoName: AGS
Description: |-
    Adventure Game Studio is a game development software, including editor, common
    routine library and C-based programming language that is primarily used to
    create graphical adventure games. Titles, created with it, include:

    * [https://en.wikipedia.org/wiki/Blackwell_(series) Blackwell series]
    * [https://en.wikipedia.org/wiki/Resonance_(game) Resonance]
    * [https://en.wikipedia.org/wiki/Gemini_Rue Gemini Rue]

    and many other.

    A lot of free (as in beer) games can be downloaded from the
    [http://www.adventuregamestudio.co.uk/site/games/ project site].

    [https://github.com/adventuregamestudio/ags/blob/HEAD/Android/README.md#adding-games-to-the-game-list
    Android README]

    Status: BETA

RepoType: git
Repo: https://github.com/adventuregamestudio/ags.git

Builds:
  - versionName: 3.3.0-hotfix
    versionCode: 1158
    disable: missing symbols
    commit: v.3.3.0-hotfix
    subdir: Android/launcher_list
    submodules: true
    forceversion: true
    target: android-17
    scandelete:
      - /
    build:
      - cd ../buildlibs
      - find -name "*.sh" -exec chmod +x {} +
      - ./buildall.sh
    buildjni:
      - ../library
    ndk: r12b

MaintainerNotes: Android manifest has no version info, so no UCM applies.

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 3.3.0-hotfix
CurrentVersionCode: 1158
